Subject: Ftp-WG: receive "\n" as NOT obvious as send "\r\xFF"?

From: Pat LaVarre <[email-masked]>
Date: Tue, 8 Jan 2002 19:55:03 -0500

Should ftpext-mlst also emphasise that excessively
liberal legacy hosts accept \n in place of \r\n?

I wonder because I see that rfc2640 [International
Ftp] mentions that inadequately conservative legacy
hosts forget to write \r\0 in place of \r as rfc854
[Telnet] requires, and ftpext-mlst-13 mentions that
inadequately conservative legacy hosts forget to write
\xFF\xFF in place of \xFF <IAC>.

I'm thinking, before including the rfc2640 UTF8 option
in the lines of a 211 reply to FEAT, people upgrading
an FtpServer must take care to allow \n to appear
anywhere within a command, even as the last byte of a
packet.

Crawling out on the web, I think I see FtpServer's
(e.g. ftp.apple.com ftp.sun.com members.aol.com)
commonly accept \n anywhere in the packets of a
command as meaning \r\n.  Some FtpServer's (e.g.
ftp.microsoft.com) then toss the rest of the packet. 
All of these reply 500 [Unknown Ftp Verb] to the
command FEAT.

> ... \xFF\xFF in place of \xFF <IAC> ...

My own Ftp code was broken here til I read
ftpext-mlst-13: I was passing thru xFF <IAC> unchanged
from the local file system.  Raw newbie that I am, I
had gone wrong in my first readings of rfc854
[Telnet].

Thanks in advance, hope this helps.

Pat LaVarre <[email-masked]>

P.S. Hi.  I'm new here.  Please tell me offline if I
should have posted this query elsewhere?

P.P.S. I arrived here by way of
news:comp.protocols.tcp-ip mention of
<http://www.ietf.org/internet-drafts/draft-ietf-ftpext-mlst-13.txt>
which Google connects to
<http://www.ietf.org/html.charters/ftpext-charter.html>
which in turn mentions <mailto:[email-masked]>.

P.P.P.S. Reentering plain text Url's via copy-paste
lets me get from ftpext-charter.html to
<http://w3.hethmon.com/ftpext/>, but then my .zip
reader choked over the last few files of
<http://w3.hethmon.com/ftpext/zips/>, so then I came
here.

__________________________________________________
Do You Yahoo!?
Send FREE video emails in Yahoo! Mail!
http://promo.yahoo.com/videomail/